<template>
  <div  variant="primary">
    <div>
      <div class="full-width d-flex flex-wrap">
        <validation-element
          class="mb-2 md:full-width"
          placeholder="domain.com"
          name="domain"
          customInputClass="input_blue"
          v-model="value"
          @input="$emit('input', value)"
        />
        <Button
          title="Get сnames"
          :loading="loading"
          v-if="!verify.title && step == 'enter_domain'"
          :disabled="!value"
          @onClick="$emit('next', value)"
        />
        <template v-if="verify.alert.success || verify.alert.error">
          <Alert
            type="success"
            title="Your email domain is verified!"
            desc="Now, please fill your full email address and press on Save button"
            v-if="verify.alert.success"
            @close="verify.alert.success = false, verify.title = true"
          />
          <Alert
            type="danger"
            title="Verifying action is failed:("
            desc="Please check your domain settings at domain Admin panel and try again. You can use help documentation."
            v-if="verify.alert.error"
            @close="verify.alert.error = false"/>
        </template>
        <Button :title="verify.title ? 'Change domain' : 'Get сnames'" variant="outline-primary" @onClick="changeDomain()" v-else-if="verify.title || step !== 'enter_domain'"/>
      </div>
      <SmallNotif text="Domain is verified" v-if="verify.title && !verify.alert.success && !verify.alert.error"/>
    </div>
  </div>
</template>

<script>
import Button from "@/components/elements/ButtonLoader.vue";
import Alert from "@/components/elements/Alert.vue";
import SmallNotif from "@/components/elements/SmallNotif.vue";
import ValidationElement from '@/components/elements/ValidationElement.vue';
import api from '@/services/settings.service.js'

export default {
    props: ['loading', 'step', 'domain', 'verify'],
    components: {
        Button,
        Alert,
        SmallNotif,
        ValidationElement
    },
    data() {
        return {
            value: null,
        }
    },
    methods: {
      updateValue(string) {
        this.value = string
        this.$emit('input', string)
      },
      // checkVerify() {
      //   api.checkVerify()
      //   this.$emit('next')
      // },
      async changeDomain() {
        await api.deleteCnameItems()

        this.$emit('clearSteps')

        this.$emit('next', this.value)

      }
    }
}
</script>


<style scoped lang="scss">
@import "../../../../../../css/settings/index.scss";
::v-deep .input_blue {
  width: 385px!important;
  max-width: 100%;
  height: 52px!important;
  margin-right: 17px;
  @media(max-width: 525px) {
    width: 100% !important;
  }
}
::v-deep .form-group {
  margin-bottom: 0;
}
</style>
